Package com.mockobjects.rmi

# Class MockNaming

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.rmi.MockNaming

All Implemented Interfaces:
  `Naming`, `Verifiable`

public class MockNaming extends MockObject implements Naming

## Constructor Summary

Constructors
Constructor
Description
`MockNaming()`

## Method Summary

Modifier and Type
Method
Description
`void`
`bind(String name, Remote obj)`
`String[]`
`list(String name)`
`Remote`
`lookup(String name)`
`void`
`rebind(String name, Remote obj)`
`void`
`setExpectedLookupName(String aName)`
`void`
`setupAddLookup(Remote aRemote)`
`void`
`unbind(String name)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockNaming

public MockNaming()

## Method Details

### bind

public void bind(String name, Remote obj) throws AlreadyBoundException, MalformedURLException, RemoteException

Specified by:
  `bind` in interface `Naming`
Throws:
  `AlreadyBoundException`
  `MalformedURLException`
  `RemoteException`

### setupAddLookup

public void setupAddLookup(Remote aRemote)

### setExpectedLookupName

public void setExpectedLookupName(String aName)

### lookup

public Remote lookup(String name) throws NotBoundException, MalformedURLException, RemoteException

Specified by:
  `lookup` in interface `Naming`
Throws:
  `NotBoundException`
  `MalformedURLException`
  `RemoteException`

### unbind

public void unbind(String name) throws RemoteException, NotBoundException, MalformedURLException

Specified by:
  `unbind` in interface `Naming`
Throws:
  `RemoteException`
  `NotBoundException`
  `MalformedURLException`

### rebind

public void rebind(String name, Remote obj) throws RemoteException, MalformedURLException

Specified by:
  `rebind` in interface `Naming`
Throws:
  `RemoteException`
  `MalformedURLException`

### list

public String[] list(String name) throws RemoteException, MalformedURLException

Specified by:
  `list` in interface `Naming`
Throws:
  `RemoteException`
  `MalformedURLException`